package example_test

import (
	"testing"

	"git.frankmayer.dev/tsukinoko-kun/lwb"
)

func TestExample(t *testing.T) {
	b, err := lwb.NewBrowser(lwb.BuildFirefoxUserAgent("135.0"))
	if err != nil {
		t.Fatal("failed to start virtual browser", err)
	}

	if err := b.Get("https://example.com/"); err != nil {
		t.Fatal("failed to get github.com", err)
	}

	moreInfoEl := b.FindElementByContent("More information...")
	if moreInfoEl == nil {
		t.Fatal("element not found")
	}

	if err := moreInfoEl.Click(); err != nil {
		t.Fatal("click failed", err)
	}
}
